chrome.storage.local.get('token', function (d) {
    if (d['token']) {
        window.chrome.tabs.query({ active: true, currentWindow: true }, function (t) {
            tab = t[0];
            if (tab.url && (tab.url.startsWith('chrome') ||
                tab.url.startsWith('mozilla') ||
                tab.url.startsWith('about'))) {
                document.location = chrome.runtime.getURL('index.html');
            }
            else {
                chrome.tabs.executeScript(tab.id, {
                    'code': '[document.getElementById("clickup-chrome-extension-frame-box"), window.clickupExtensionEnabled, document.querySelector(".clickup-chrome-extension-frame-box-show")]'
                }, function (r) {
                    if (r) {
                        if (r[0][2]) {
                            chrome.storage.local.set({ isOpenedFromTop: true }, function () {
                                chrome.tabs.sendMessage(tab.id, { 'editor': 'remove' }, function () {
                                    window.close();
                                });
                            });
                        }
                        else if (r[0][0]) {
                            chrome.storage.local.set({ isOpenedFromTop: true }, function () {
                                chrome.tabs.sendMessage(tab.id, { 'CU-POPUP-CREATE-BOX': 'homepage' }, function () {
                                    window.close();
                                });
                            });
                        }
                        else if (r[0][0] === null && r[0][1] === true) {
                            chrome.storage.local.set({ isOpenedFromTop: true }, function () {
                                chrome.tabs.sendMessage(tab.id, { 'CU-POPUP-CREATE-BOX': 'hide' }, function () {
                                    chrome.tabs.sendMessage(tab.id, { 'CU-POPUP-CREATE-BOX': 'homepage' }, function () {
                                        window.close();
                                    });
                                });
                            });
                        }
                        else if (!r[0][1]) {
                            chrome.tabs.insertCSS(tab.id, {
                                file: 'inject/inject_main.css'
                            }, function () {
                                chrome.tabs.executeScript(tab.id, {
                                    file: 'inject/inject_main.js'
                                }, function () {
                                    if (tab.url.startsWith('https://staging.clickup.com') ||
                                        tab.url.startsWith('https://app.clickup.com')) {
                                        chrome.tabs.insertCSS(tab.id, {
                                            file: 'inject/content-script.css'
                                        }, function () {
                                            chrome.tabs.executeScript(tab.id, {
                                                file: 'inject/content-script.js'
                                            }, function () {
                                                chrome.storage.local.set({ isOpenedFromTop: true }, function () {
                                                    chrome.tabs.sendMessage(tab.id, { 'CU-POPUP-CREATE-BOX': 'homepage' }, function () {
                                                        window.close();
                                                    });
                                                });
                                            });
                                        });
                                    }
                                    else {
                                        chrome.storage.local.set({ isOpenedFromTop: true }, function () {
                                            chrome.tabs.sendMessage(tab.id, { 'CU-POPUP-CREATE-BOX': 'homepage' }, function () {
                                                window.close();
                                            });
                                        });
                                    }
                                });
                            });
                        }
                        else {
                            chrome.storage.local.set({ isOpenedFromTop: true }, function () {
                                chrome.tabs.sendMessage(tab.id, { 'CU-POPUP-CREATE-BOX': 'homepage' }, function () {
                                    window.close();
                                });
                            });
                        }
                    }
                    else {
                        document.location = chrome.runtime.getURL('index.html');
                    }
                });
            }
            window.chrome.tabs.query({}, function (allTabs) {
                allTabs.forEach(function (currentTab) {
                    if (!currentTab.active || (tab.windowId !== currentTab.windowId)) {
                        chrome.tabs.sendMessage(currentTab.id, { 'editor': 'remove' });
                    }
                });
            });
        });
    }
    else {
        document.location = chrome.runtime.getURL('index.html');
    }
});
